发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen:

目前评论:4   其中:访客  4   博主  0

    • ag

      https://tools.hana.ondemand.com/

        • ag

          @ag 注意一点,eclipse安装NEON版本的,不要安装最新版,SAP有些插件不兼容最新版的eclipse。

        • ag

          注意一点,你本机要设置一下自己的hostname,否则会报hostname找不到的错误;

          此外,本机必须安装GUI并配置好系统链接,eclipse新建项目的时候是直接调用GUI里的配置的!

          参考:

          Last login: Fri Aug 18 23:41:51 on ttys000

          gd:~ dongjiajun$ sudo vim /etc/hosts

          Password:

          gd:~ dongjiajun$ hostname

          gd

          gd:~ dongjiajun$ sudo vim /etc/hosts

          gd:~ dongjiajun$ hostname

          gd

          gd:~ dongjiajun$ cat /etc/hosts

          ##

          # Host Database

          #

          # localhost is used to configure the loopback interface

          # when the system is booting.  Do not change this entry.

          ##

          127.0.0.1 localhost

          255.255.255.255 broadcasthost

          ::1             localhost

          127.0.0.1 gd

          gd:~ dongjiajun$ 

          • ag

            https://tools.hana.ondemand.com/#abap

            ABAP Development Tools for SAP NetWeaver

            This site describes how to install and update the front-end components of ABAP Development Tools for SAP NetWeaver (ADT).

            It also provides you with detailed information on how to prepare the relevant ABAP back-end system for working with ADT.

            Prerequisites

            Component
            Prerequisite

            Eclipse Platform
            Oxygen (4.7)

            Operating System

            Windows 7/8/10, or
            Apple Mac OS X 10.10, Universal 64-Bit, or
            Linux distribution

            Java Runtime
            JRE version 1.8, 32-Bit or 64-Bit

            SAP GUI

            For Windows OS: SAP GUI for Windows 7.40
            For Apple Mac or Linux OS: SAP GUI for Java 7.40

            Microsoft VC Runtime

            For Windows OS: DLLs VS2010 for communication with the back-end system is required.

            NOTE: Install either the x86 or the x64 variant, accordingly to your 32- or 64-Bit Eclipse installation.

            Procedure

            To install the front-end component of ADT, proceed as follows:

            Get an installation of Eclipse Oxygen (e.g. Eclipse IDE for Java Developers)
            In Eclipse, choose in the menu bar Help > Install New Software…
            For Eclipse Oxygen (4.7), add the URL https://tools.hana.ondemand.com/oxygen
            Press Enter to display the available features.
            Select ABAP Development Tools for SAP NetWeaver and choose Next.
            On the next wizard page, you get an overview of the features to be installed. Choose Next.
            Confirm the license agreements and choose Finish to start the installation.